#ifndef _DISKS_H_
#define _DISKS_H_ 1
#include "String.h"
#include <list>
#include <map>
class ptable {
public:
	ptable(StringList const &disks=disklist());
	ptable(String const &disk);
	static StringList disklist();
	static StringList partlist();
	static String mountpoint(String const &device, bool fstab_fallback=false);
	static String device(String const &mountpt, bool fstab_fallback=false);
protected:
	void scandisk(String const &disk);
public:
	StringList		partition;
	std::map<String,int>	id;
	std::map<String,String>	mountpt;
};
#endif
